var YNT = {
    version : '0.0.2',
    category : ['all', 'domestic', 'world', 'economy', 'entertainment', 'sports', 'computer', 'science', 'local'],
    initEvent: function() {
        var self = this;
//        Event.observe($('category'), 'change', function(e) {
//            self.request(self.category[$('category').selectedIndex]);
//        }, false);
        $("#close").click(function() {
            window.close();
        });
        $("#show").click(function() {
            self.request(self.category[$('#category')[0].selectedIndex]);
        });
    },
    request: function(category) {
        var self = this;
        var base_url = 'http://api.news.yahoo.co.jp/NewsWebService/V1/Topics?appid=hgo_yn_wdgt';
        var cat_url = category == 'all' ? '' :'&category=' + category;
        $.ajax({
            type: "GET",
            url: base_url + cat_url + '&num=10',
            success: function(data) {
                self.parseXML(data);
            }
        });
    },
    parseXML: function(xml) {
        var insPt = $("ul[@id=topics]")[0];
        var tps = [];
        var results = xml.getElementsByTagName('Result');
        for(var i=0, len=results.length; i<len; i++) {
            var title = results[i].getElementsByTagName('title')[0].text;
                title = title == "" ? "__" : title;
            var url = results[i].getElementsByTagName('url')[0].text;
            var date = results[i].getElementsByTagName('datetime')[0].text;
                date = date.match(/\d{4}-\d{2}-\d{2}T(\d{2}:\d{2}):\d{2}/)[1]
            var html = '<li><span class="date">' + date + '<span> <a href="' + url + '">' + title + '</a></li>'
            tps.push(html);
        }
        insPt.innerHTML = tps.join('');
    }
}

window.addEventListener('load', function() {
    YNT.initEvent();
    YNT.request('all');
}, false);
